package tech.nevets.vplus.worldgen.features;

import net.minecraft.util.registry.RegistryEntry;
import net.minecraft.world.gen.feature.*;
import tech.nevets.vplus.VPBlocks;

import java.util.List;

public class VPOreConfiguredFeatures extends OreConfiguredFeatures {
    public static final List<OreFeatureConfig.Target> SAPPHIRE_ORES;
    public static final List<OreFeatureConfig.Target> RUBY_ORES;
    public static final List<OreFeatureConfig.Target> JADE_ORES;
    public static final RegistryEntry<ConfiguredFeature<OreFeatureConfig, ?>> ORE_SAPPHIRE;
    public static final RegistryEntry<ConfiguredFeature<OreFeatureConfig, ?>> ORE_RUBY;
    public static final RegistryEntry<ConfiguredFeature<OreFeatureConfig, ?>> ORE_JADE;

    public VPOreConfiguredFeatures() {
    }

    static {
        SAPPHIRE_ORES = List.of(OreFeatureConfig.createTarget(STONE_ORE_REPLACEABLES, VPBlocks.SAPPHIRE_ORE.getDefaultState()));
        RUBY_ORES = List.of(OreFeatureConfig.createTarget(STONE_ORE_REPLACEABLES, VPBlocks.RUBY_ORE.getDefaultState()));
        JADE_ORES = List.of(OreFeatureConfig.createTarget(STONE_ORE_REPLACEABLES, VPBlocks.RUBY_ORE.getDefaultState()));
        ORE_SAPPHIRE = ConfiguredFeatures.register("ore_sapphire", Feature.ORE, new OreFeatureConfig(List.of(OreFeatureConfig.createTarget(STONE_ORE_REPLACEABLES, VPBlocks.SAPPHIRE_ORE.getDefaultState())), 4));
        ORE_RUBY = ConfiguredFeatures.register("ore_ruby", Feature.ORE, new OreFeatureConfig(List.of(OreFeatureConfig.createTarget(STONE_ORE_REPLACEABLES, VPBlocks.RUBY_ORE.getDefaultState())), 3));
        ORE_JADE = ConfiguredFeatures.register("ore_jade", Feature.ORE, new OreFeatureConfig(List.of(OreFeatureConfig.createTarget(STONE_ORE_REPLACEABLES, VPBlocks.JADE_ORE.getDefaultState())), 2));
    }
}
